Reply

View orientation

Hi,

 

How to get the current view  orientation in 3D document(Part,Assembly) using API?

view orientaion e.g.: font view,isometric view,diametric view,trimetric view..

 

thanks.

Amani

2 REPLIES

Re: View orientation

Hi Amani:

 

I believe the Window and View objects of the current document should contain the information you seek.

 

Dim oDoc As SolidEdgePart.PartDocument = seApp.ActiveDocument
Dim oWin As Window = oDoc.Windows(1)
oWin.View.GetCameraEx...

Further some knowledge external to SE like view origin, view target, etc. will also be required.

Check if View.GetCamera contains the information you need.

 

~Tushar

Re: View orientation

 

I actually mean how to get the list of named view (named view manger) and get if one of then is  used in the current document.

 

For example , to set a specific view I use : 

 m_application.StartCommand(SolidEdgeConstants.PartCommandConstants.PartViewISOView)

just i want to verify witch orientation view is used already.

 

Thanks.